//
//  ViewController.m
//  DrawImge
//
//  Created by mac on 16/7/23.
//  Copyright © 2016年 筒子家族. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    UIImageView *imagv = [[UIImageView alloc] initWithFrame:CGRectMake(100, 100, 100, 100)];
    [imagv setImage:[self imageWitCornerRadius:200 image:[UIImage imageNamed:@"1"]]];
    [self.view addSubview:imagv];
}

- (UIImage *)imageWitCornerRadius:(float)cornerRadius image:(UIImage *)original
{
    CGRect frame = CGRectMake(0, 0, original.size.width, original.size.height);
    UIGraphicsBeginImageContextWithOptions(original.size, NO, 1.0);
    
    [[UIBezierPath bezierPathWithRoundedRect:frame cornerRadius:cornerRadius] addClip];
    [original drawInRect:frame];
    
    UIImage *image = UIGraphicsGetImageFromCurrentImageContext();
    UIGraphicsEndImageContext();
    
    return image;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

@end
